JTextComponent.KeyBinding (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.text, class: JTextComponent, class: KeyBinding
Keywords: javax.swing.text.JTextComponent.KeyBinding class

# Class JTextComponent.KeyBinding

java.lang.Object
javax.swing.text.JTextComponent.KeyBinding

Enclosing class:
  `JTextComponent`

public static class JTextComponent.KeyBinding extends Object
Binding record for creating key bindings.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `actionName`
  The name of the action for the key.
  `KeyStroke`
  `key`
  The key.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyBinding(KeyStroke key, String actionName)`
  Creates a new key binding.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### key

    public KeyStroke key
    The key.

  - ### actionName

    public String actionName
    The name of the action for the key.

- ## Constructor Details

  - ### KeyBinding

    public KeyBinding(KeyStroke key, String actionName)
    Creates a new key binding.
    Parameters:
      `key` - the key
      `actionName` - the name of the action for the key